Loading...
Searching...
No Matches
Range
Core

Provides seqan3 general purpose range functionality. More...

Collaboration diagram for Range:

## Classes

struct | seqan3::range_innermost_value< t >
| Recursively determines the value_type on containers and/or iterators. More...

## Typedefs

template<typename t>
using | seqan3::range_innermost_value_t = typename range_innermost_value<t>::type
| Shortcut for seqan3::range_innermost_value (transformation_trait shortcut).

## Variables

template<typename t>
constexpr size_t | seqan3::range_dimension_v = 1
| Returns the number of times you can call seqan3::value_type_t recursively on t (type trait).

## Detailed Description

Provides seqan3 general purpose range functionality.

See also
  Core

## Typedef Documentation

## range_innermost_value_t

template<typename t>

using seqan3::range_innermost_value_t = typename range_innermost_value<t>::type

Shortcut for seqan3::range_innermost_value (transformation_trait shortcut).

See also
  seqan3::range_innermost_value

## Variable Documentation

## range_dimension_v

template<typename t>

size_t seqan3::range_dimension_v = 1

constexpr

Returns the number of times you can call seqan3::value_type_t recursively on t (type trait).

Template Parameters

  t | The type to be queried; must resolve seqan3::value_type_t at least once.

Attention, this type trait implicitly removes cv-qualifiers and reference from the types it recurses on and returns.

Hide me